package com.uas.core.support;

import org.springframework.boot.context.event.ApplicationStartedEvent;
import org.springframework.context.ApplicationListener;

public class TokenPropertiesListener implements ApplicationListener<ApplicationStartedEvent> {

	private String propertyFileName;
	
	public TokenPropertiesListener(String propertyFileName) {
        this.propertyFileName = propertyFileName;
    }
	
	@Override
	public void onApplicationEvent(ApplicationStartedEvent arg0) {
		GetProperties.loadAllProperties(this.propertyFileName);
	}

}
